Click or drag to resize

BrepCreateFromSweep Method (Curve, Curve, IEnumerableCurve, Point3d, Point3d, Boolean, Double, SweepRebuild, Int32, Double, Boolean)

Sweep2 function that fits a surface through profile curves that define the surface cross-sections and two curves that defines a surface edge.

Namespace:  Rhino.Geometry
Assembly:  RhinoCommon (in RhinoCommon.dll)
Syntax
public static Brep[] CreateFromSweep(
	Curve rail1,
	Curve rail2,
	IEnumerable<Curve> shapes,
	Point3d start,
	Point3d end,
	bool closed,
	double tolerance,
	SweepRebuild rebuild,
	int rebuildPointCount,
	double refitTolerance,
	bool preserveHeight
)

Parameters

rail1
Type: Rhino.GeometryCurve
Rail to sweep shapes along
rail2
Type: Rhino.GeometryCurve
Rail to sweep shapes along
shapes
Type: System.Collections.GenericIEnumerableCurve
Shape curves
start
Type: Rhino.GeometryPoint3d
Optional starting point of sweep. Use Point3d.Unset if you do not want to include a start point.
end
Type: Rhino.GeometryPoint3d
Optional ending point of sweep. Use Point3d.Unset if you do not want to include an end point.
closed
Type: SystemBoolean
Only matters if shapes are closed.
tolerance
Type: SystemDouble
Tolerance for fitting surface and rails.
rebuild
Type: Rhino.GeometrySweepRebuild
The rebuild style.
rebuildPointCount
Type: SystemInt32
If rebuild == SweepRebuild.Rebuild, the number of points. Otherwise specify 0.
refitTolerance
Type: SystemDouble
If rebuild == SweepRebuild.Refit, the refit tolerenace. Otherwise, specify 0.0
preserveHeight
Type: SystemBoolean
Removes the association between the height scaling from the width scaling

Return Value

Type: Brep
Array of Brep sweep results
Version Information

Rhino for Windows

Supported in: 6.18
See Also